%define anolis_release 1

%bcond_without bootstrap

%global bundle org.apache.felix.utils

Name:           felix-utils
Version:        1.11.8
Release:        %{anolis_release}%{?dist}
Summary:        Utility classes for OSGi
License:        ASL 2.0
URL:            https://felix.apache.org
BuildArch:      noarch
ExclusiveArch:  %{java_arches} noarch

Source0:        https://repo1.maven.org/maven2/org/apache/felix/%{bundle}/%{version}/%{bundle}-%{version}-source-release.tar.gz

# The module org.osgi.cmpn requires implementing methods which were not
# implemented in previous versions where org.osgi.compendium was used
Patch0:         0000-Port-to-osgi-cmpn.patch

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.mockito:mockito-core)
BuildRequires:  mvn(org.osgi:osgi.cmpn)
BuildRequires:  mvn(org.osgi:osgi.core)
%endif

%description
Utility classes for OSGi

%package javadoc
Summary:          API documentation for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{bundle}-%{version}
%patch0 -p1

%pom_remove_parent
%pom_xpath_inject pom:project "<groupId>org.apache.felix</groupId>"
%pom_remove_plugin :apache-rat-plugin

%mvn_file :%{bundle} "felix/%{bundle}"

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE
%doc DEPENDENCIES

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE

%changelog
* Tue Apr 25 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.11.8-1
- Init upstream from version 1.11.8
